Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal
Class DynamicObjectHelper

    java.lang.Object
      org.gradle.api.internal.AbstractDynamicObject
          org.gradle.api.internal.DynamicObjectHelper

    class DynamicObjectHelper
    extends AbstractDynamicObject

Nested Class Summary
`class` | `DynamicObjectHelper.InheritedDynamicObject`
`enum` | `DynamicObjectHelper.Location`

Constructor Summary
`DynamicObjectHelper(java.lang.Object delegateObject)`
`DynamicObjectHelper(AbstractDynamicObject delegateObject)`

Method Summary
`void` | `addObject(DynamicObject object, Location location)`
`Map` | `getAdditionalProperties()`
`Convention` | `getConvention()`
`protected java.lang.String` | `getDisplayName()`
`DynamicObject` | `getInheritable()` Returns the inheritable properties and methods of this object.
`DynamicObject` | `getParent()`
`Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`boolean` | `hasMethod(java.lang.String name, java.lang.Object arguments)`
`boolean` | `hasProperty(java.lang.String name)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object arguments)`
`void` | `setAdditionalProperties(Map additionalProperties)`
`void` | `setConvention(Convention convention)`
`void` | `setParent(DynamicObject parent)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`DynamicObjectHelper` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`org.gradle.api.internal.DynamicObjectHelper[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class AbstractDynamicObject
getDisplayName, getProperties, getProperty, hasMethod, hasProperty, invokeMethod, methodMissingException, propertyMissingException, setProperty

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DynamicObjectHelper

    public DynamicObjectHelper(java.lang.Object delegateObject)

### DynamicObjectHelper

    public DynamicObjectHelper(AbstractDynamicObject delegateObject)

Method Detail

### addObject

    public void addObject(DynamicObject object, Location location)

### getAdditionalProperties

    public Map getAdditionalProperties()

### getConvention

    public Convention getConvention()

### getDisplayName

    protected java.lang.String getDisplayName()

### getInheritable

    public DynamicObject getInheritable()

  Returns the inheritable properties and methods of this object.
  return:
    an object containing the inheritable properties and methods of this object.

### getParent

    public DynamicObject getParent()

### getProperties

    public Map getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### hasMethod

    public boolean hasMethod(java.lang.String name, java.lang.Object arguments)

### hasProperty

    public boolean hasProperty(java.lang.String name)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object arguments)

### setAdditionalProperties

    public void setAdditionalProperties(Map additionalProperties)

### setConvention

    public void setConvention(Convention convention)

### setParent

    public void setParent(DynamicObject parent)

### setProperty

    public void setProperty(java.lang.String name, java.lang.Object value)

### valueOf

    DynamicObjectHelper valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name.

### values

    org.gradle.api.internal.DynamicObjectHelper[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Groovy Documentation